<!DOCTYPE html>
<html><head>
<title>eric7.EricWidgets.EricPathPicker</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricWidgets.EricPathPicker</h1>
<p>
Module implementing a path picker widget.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricComboPathPicker">EricComboPathPicker</a></td>
<td>Class implementing a path picker widget consisting of a combobox and a tool button to open a file dialog.</td>
</tr>
<tr>
<td><a href="#EricPathPicker">EricPathPicker</a></td>
<td>Class implementing a path picker widget consisting of a line edit and a tool button to open a file dialog.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase">EricPathPickerBase</a></td>
<td>Class implementing the base of a path picker widget consisting of a line edit or combo box and a tool button to open a file dialog.</td>
</tr>
<tr>
<td><a href="#EricPathPickerModes">EricPathPickerModes</a></td>
<td>Class implementing the path picker modes.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricComboPathPicker" ID="EricComboPathPicker"></a>
<h2>EricComboPathPicker</h2>
<p>
    Class implementing a path picker widget consisting of a combobox and a
    tool button to open a file dialog.
</p>

<h3>Derived from</h3>
EricPathPickerBase
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricComboPathPicker.__init__">EricComboPathPicker</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricComboPathPicker.getPathItems">getPathItems</a></td>
<td>Public method to get the list of remembered paths.</td>
</tr>
<tr>
<td><a href="#EricComboPathPicker.getPathLibItems">getPathLibItems</a></td>
<td>Public method to get the list of remembered paths.</td>
</tr>
<tr>
<td><a href="#EricComboPathPicker.getRemotePathItems">getRemotePathItems</a></td>
<td>Public method to get the list of remembered remote paths.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricComboPathPicker.__init__" ID="EricComboPathPicker.__init__"></a>
<h4>EricComboPathPicker (Constructor)</h4>
<b>EricComboPathPicker</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="EricComboPathPicker.getPathItems" ID="EricComboPathPicker.getPathItems"></a>
<h4>EricComboPathPicker.getPathItems</h4>
<b>getPathItems</b>(<i></i>)
<p>
        Public method to get the list of remembered paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of remembered paths
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of str
</dd>
</dl>
<a NAME="EricComboPathPicker.getPathLibItems" ID="EricComboPathPicker.getPathLibItems"></a>
<h4>EricComboPathPicker.getPathLibItems</h4>
<b>getPathLibItems</b>(<i></i>)
<p>
        Public method to get the list of remembered paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of remembered paths
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of pathlib.Path
</dd>
</dl>
<a NAME="EricComboPathPicker.getRemotePathItems" ID="EricComboPathPicker.getRemotePathItems"></a>
<h4>EricComboPathPicker.getRemotePathItems</h4>
<b>getRemotePathItems</b>(<i></i>)
<p>
        Public method to get the list of remembered remote paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of remembered paths
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="EricPathPicker" ID="EricPathPicker"></a>
<h2>EricPathPicker</h2>
<p>
    Class implementing a path picker widget consisting of a line edit and a
    tool button to open a file dialog.
</p>

<h3>Derived from</h3>
EricPathPickerBase
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricPathPicker.__init__">EricPathPicker</a></td>
<td>Constructor</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricPathPicker.__init__" ID="EricPathPicker.__init__"></a>
<h4>EricPathPicker (Constructor)</h4>
<b>EricPathPicker</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="EricPathPickerBase" ID="EricPathPickerBase"></a>
<h2>EricPathPickerBase</h2>
<p>
    Class implementing the base of a path picker widget consisting of a
    line edit or combo box and a tool button to open a file dialog.
</p>

<h3>Signals</h3>
<dl>

<dt>aboutToShowPathPickerDialog</dt>
<dd>
emitted before the file dialog is shown
</dd>
<dt>editTextChanged(path)</dt>
<dd>
emitted when the entered path has changed
        (combo box based widget)
</dd>
<dt>pathSelected(path)</dt>
<dd>
emitted after a path has been selected via the
        file dialog
</dd>
<dt>pickerButtonClicked</dt>
<dd>
emitted when the picker button was pressed and
        the widget mode is custom
</dd>
<dt>textChanged(path)</dt>
<dd>
emitted when the entered path has changed
        (line edit based widget)
</dd>
</dl>
<h3>Derived from</h3>
QWidget
<h3>Class Attributes</h3>
<table>
<tr><td>DefaultMode</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricPathPickerBase.__init__">EricPathPickerBase</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.__pathEdited">__pathEdited</a></td>
<td>Private slot handling editing of the path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.__showPathPickerDialog">__showPathPickerDialog</a></td>
<td>Private slot to show the path picker dialog.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase._editorText">_editorText</a></td>
<td>Protected method to get the text of the editor.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase._setEditorText">_setEditorText</a></td>
<td>Protected method to set the text of the editor.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.addItem">addItem</a></td>
<td>Public method to add a paths to the current list.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.addItems">addItems</a></td>
<td>Public method to add paths to the current list.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.buttonToolTip">buttonToolTip</a></td>
<td>Public method to get the tool button tool tip.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.clear">clear</a></td>
<td>Public method to clear the current path or list of paths.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.clearEditText">clearEditText</a></td>
<td>Public method to clear the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.currentText">currentText</a></td>
<td>Public method to get the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.defaultDirectory">defaultDirectory</a></td>
<td>Public method to get the default directory.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.defaultDirectoryPath">defaultDirectoryPath</a></td>
<td>Public method to get the default directory as a pathlib.Path object.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.editorEnabled">editorEnabled</a></td>
<td>Public method to get the path editor's enabled state.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.editorToolTip">editorToolTip</a></td>
<td>Public method to get the editor tool tip.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.filters">filters</a></td>
<td>Public methods to get the filter string.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.firstPath">firstPath</a></td>
<td>Public method to get the first path of a list of entered paths.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.firstStrPath">firstStrPath</a></td>
<td>Public method to get the first path of a list of entered paths as a string.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.isPickerEnabled">isPickerEnabled</a></td>
<td>Public method to get the file dialog button enabled state.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.isReadOnly">isReadOnly</a></td>
<td>Public method to check the path picker for read only mode.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.isRemote">isRemote</a></td>
<td>Public method to get the path picker remote mode.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.lastPath">lastPath</a></td>
<td>Public method to get the last path of a list of entered paths.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.lastStrPath">lastStrPath</a></td>
<td>Public method to get the last path of a list of entered paths as a string.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.mode">mode</a></td>
<td>Public method to get the path picker mode.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.path">path</a></td>
<td>Public method to get the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.paths">paths</a></td>
<td>Public method to get the list of entered paths.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setButtonToolTip">setButtonToolTip</a></td>
<td>Public method to set the tool button tool tip.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setCurrentIndex">setCurrentIndex</a></td>
<td>Public slot to set the current index.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setCurrentPath">setCurrentPath</a></td>
<td>Public method to set the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setCurrentText">setCurrentText</a></td>
<td>Public slot to set the current text.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setDefaultDirectory">setDefaultDirectory</a></td>
<td>Public method to set the default directory.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setEditText">setEditText</a></td>
<td>Public method to set the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setEditorEnabled">setEditorEnabled</a></td>
<td>Public method to set the path editor's enabled state.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setEditorToolTip">setEditorToolTip</a></td>
<td>Public method to set the editor tool tip.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setFilters">setFilters</a></td>
<td>Public method to set the filters for the path picker dialog.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setInsertPolicy">setInsertPolicy</a></td>
<td>Public method to set the insertion policy of the combo box.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setMode">setMode</a></td>
<td>Public method to set the path picker mode.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setNameFilters">setNameFilters</a></td>
<td>Public method to set the name filters for the completer.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setPath">setPath</a></td>
<td>Public method to set the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setPathsList">setPathsList</a></td>
<td>Public method to set the paths list.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setPickerEnabled">setPickerEnabled</a></td>
<td>Public method to set the enabled state of the file dialog button.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setReadOnly">setReadOnly</a></td>
<td>Public method to set the path picker to read only mode.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setRemote">setRemote</a></td>
<td>Public method to set the remote mode of the path picker.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setSizeAdjustPolicy">setSizeAdjustPolicy</a></td>
<td>Public method to set the size adjust policy of the combo box.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setText">setText</a></td>
<td>Public method to set the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.setWindowTitle">setWindowTitle</a></td>
<td>Public method to set the path picker dialog window title.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.strPaths">strPaths</a></td>
<td>Public method to get the list of entered paths as strings.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.text">text</a></td>
<td>Public method to get the current path.</td>
</tr>
<tr>
<td><a href="#EricPathPickerBase.windowTitle">windowTitle</a></td>
<td>Public method to get the path picker dialog's window title.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricPathPickerBase.__init__" ID="EricPathPickerBase.__init__"></a>
<h4>EricPathPickerBase (Constructor)</h4>
<b>EricPathPickerBase</b>(<i>parent=None, useLineEdit=True</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
<dt><i>useLineEdit</i> (bool)</dt>
<dd>
flag indicating the use of a line edit
</dd>
</dl>
<a NAME="EricPathPickerBase.__pathEdited" ID="EricPathPickerBase.__pathEdited"></a>
<h4>EricPathPickerBase.__pathEdited</h4>
<b>__pathEdited</b>(<i>fpath</i>)
<p>
        Private slot handling editing of the path.
</p>

<dl>

<dt><i>fpath</i> (str)</dt>
<dd>
current text of the path line edit
</dd>
</dl>
<a NAME="EricPathPickerBase.__showPathPickerDialog" ID="EricPathPickerBase.__showPathPickerDialog"></a>
<h4>EricPathPickerBase.__showPathPickerDialog</h4>
<b>__showPathPickerDialog</b>(<i></i>)
<p>
        Private slot to show the path picker dialog.
</p>

<a NAME="EricPathPickerBase._editorText" ID="EricPathPickerBase._editorText"></a>
<h4>EricPathPickerBase._editorText</h4>
<b>_editorText</b>(<i></i>)
<p>
        Protected method to get the text of the editor.
</p>

<dl>
<dt>Return:</dt>
<dd>
text of the editor
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase._setEditorText" ID="EricPathPickerBase._setEditorText"></a>
<h4>EricPathPickerBase._setEditorText</h4>
<b>_setEditorText</b>(<i>text</i>)
<p>
        Protected method to set the text of the editor.
</p>

<dl>

<dt><i>text</i> (str)</dt>
<dd>
text to set
</dd>
</dl>
<a NAME="EricPathPickerBase.addItem" ID="EricPathPickerBase.addItem"></a>
<h4>EricPathPickerBase.addItem</h4>
<b>addItem</b>(<i>fpath</i>)
<p>
        Public method to add a paths to the current list.
</p>

<dl>

<dt><i>fpath</i> (str or pathlib.Path)</dt>
<dd>
path to add
</dd>
</dl>
<a NAME="EricPathPickerBase.addItems" ID="EricPathPickerBase.addItems"></a>
<h4>EricPathPickerBase.addItems</h4>
<b>addItems</b>(<i>pathsList</i>)
<p>
        Public method to add paths to the current list.
</p>

<dl>

<dt><i>pathsList</i> (list of str or pathlib.Path)</dt>
<dd>
list of paths
</dd>
</dl>
<a NAME="EricPathPickerBase.buttonToolTip" ID="EricPathPickerBase.buttonToolTip"></a>
<h4>EricPathPickerBase.buttonToolTip</h4>
<b>buttonToolTip</b>(<i></i>)
<p>
        Public method to get the tool button tool tip.
</p>

<dl>
<dt>Return:</dt>
<dd>
tool tip text
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.clear" ID="EricPathPickerBase.clear"></a>
<h4>EricPathPickerBase.clear</h4>
<b>clear</b>(<i></i>)
<p>
        Public method to clear the current path or list of paths.
</p>

<a NAME="EricPathPickerBase.clearEditText" ID="EricPathPickerBase.clearEditText"></a>
<h4>EricPathPickerBase.clearEditText</h4>
<b>clearEditText</b>(<i></i>)
<p>
        Public method to clear the current path.
</p>

<a NAME="EricPathPickerBase.currentText" ID="EricPathPickerBase.currentText"></a>
<h4>EricPathPickerBase.currentText</h4>
<b>currentText</b>(<i>toNative=True</i>)
<p>
        Public method to get the current path.
</p>

<dl>

<dt><i>toNative</i> (bool)</dt>
<dd>
flag indicating to convert the path into
            a native format
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
current path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.defaultDirectory" ID="EricPathPickerBase.defaultDirectory"></a>
<h4>EricPathPickerBase.defaultDirectory</h4>
<b>defaultDirectory</b>(<i></i>)
<p>
        Public method to get the default directory.
</p>

<dl>
<dt>Return:</dt>
<dd>
default directory
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.defaultDirectoryPath" ID="EricPathPickerBase.defaultDirectoryPath"></a>
<h4>EricPathPickerBase.defaultDirectoryPath</h4>
<b>defaultDirectoryPath</b>(<i></i>)
<p>
        Public method to get the default directory as a pathlib.Path object.
</p>

<dl>
<dt>Return:</dt>
<dd>
default directory
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.editorEnabled" ID="EricPathPickerBase.editorEnabled"></a>
<h4>EricPathPickerBase.editorEnabled</h4>
<b>editorEnabled</b>(<i></i>)
<p>
        Public method to get the path editor's enabled state.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating the enabled state
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="EricPathPickerBase.editorToolTip" ID="EricPathPickerBase.editorToolTip"></a>
<h4>EricPathPickerBase.editorToolTip</h4>
<b>editorToolTip</b>(<i></i>)
<p>
        Public method to get the editor tool tip.
</p>

<dl>
<dt>Return:</dt>
<dd>
tool tip text
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.filters" ID="EricPathPickerBase.filters"></a>
<h4>EricPathPickerBase.filters</h4>
<b>filters</b>(<i></i>)
<p>
        Public methods to get the filter string.
</p>

<dl>
<dt>Return:</dt>
<dd>
filter string
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.firstPath" ID="EricPathPickerBase.firstPath"></a>
<h4>EricPathPickerBase.firstPath</h4>
<b>firstPath</b>(<i></i>)
<p>
        Public method to get the first path of a list of entered paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
first path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.firstStrPath" ID="EricPathPickerBase.firstStrPath"></a>
<h4>EricPathPickerBase.firstStrPath</h4>
<b>firstStrPath</b>(<i></i>)
<p>
        Public method to get the first path of a list of entered paths as a string.
</p>

<dl>
<dt>Return:</dt>
<dd>
first path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.isPickerEnabled" ID="EricPathPickerBase.isPickerEnabled"></a>
<h4>EricPathPickerBase.isPickerEnabled</h4>
<b>isPickerEnabled</b>(<i></i>)
<p>
        Public method to get the file dialog button enabled state.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating the enabled state
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="EricPathPickerBase.isReadOnly" ID="EricPathPickerBase.isReadOnly"></a>
<h4>EricPathPickerBase.isReadOnly</h4>
<b>isReadOnly</b>(<i></i>)
<p>
        Public method to check the path picker for read only mode.
</p>

<dl>
<dt>Return:</dt>
<dd>
flg indicating read only mode
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="EricPathPickerBase.isRemote" ID="EricPathPickerBase.isRemote"></a>
<h4>EricPathPickerBase.isRemote</h4>
<b>isRemote</b>(<i></i>)
<p>
        Public method to get the path picker remote mode.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating the remote mode
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="EricPathPickerBase.lastPath" ID="EricPathPickerBase.lastPath"></a>
<h4>EricPathPickerBase.lastPath</h4>
<b>lastPath</b>(<i></i>)
<p>
        Public method to get the last path of a list of entered paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
last path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.lastStrPath" ID="EricPathPickerBase.lastStrPath"></a>
<h4>EricPathPickerBase.lastStrPath</h4>
<b>lastStrPath</b>(<i></i>)
<p>
        Public method to get the last path of a list of entered paths as a string.
</p>

<dl>
<dt>Return:</dt>
<dd>
last path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.mode" ID="EricPathPickerBase.mode"></a>
<h4>EricPathPickerBase.mode</h4>
<b>mode</b>(<i></i>)
<p>
        Public method to get the path picker mode.
</p>

<dl>
<dt>Return:</dt>
<dd>
path picker mode
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
EricPathPickerModes
</dd>
</dl>
<a NAME="EricPathPickerBase.path" ID="EricPathPickerBase.path"></a>
<h4>EricPathPickerBase.path</h4>
<b>path</b>(<i></i>)
<p>
        Public method to get the current path.
</p>

<dl>
<dt>Return:</dt>
<dd>
current path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.paths" ID="EricPathPickerBase.paths"></a>
<h4>EricPathPickerBase.paths</h4>
<b>paths</b>(<i></i>)
<p>
        Public method to get the list of entered paths.
</p>

<dl>
<dt>Return:</dt>
<dd>
entered paths
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of pathlib.Path
</dd>
</dl>
<a NAME="EricPathPickerBase.setButtonToolTip" ID="EricPathPickerBase.setButtonToolTip"></a>
<h4>EricPathPickerBase.setButtonToolTip</h4>
<b>setButtonToolTip</b>(<i>tooltip</i>)
<p>
        Public method to set the tool button tool tip.
</p>

<dl>

<dt><i>tooltip</i> (str)</dt>
<dd>
text to be set as a tool tip
</dd>
</dl>
<a NAME="EricPathPickerBase.setCurrentIndex" ID="EricPathPickerBase.setCurrentIndex"></a>
<h4>EricPathPickerBase.setCurrentIndex</h4>
<b>setCurrentIndex</b>(<i>index</i>)
<p>
        Public slot to set the current index.
</p>

<dl>

<dt><i>index</i> (int)</dt>
<dd>
index of the item to set current
</dd>
</dl>
<a NAME="EricPathPickerBase.setCurrentPath" ID="EricPathPickerBase.setCurrentPath"></a>
<h4>EricPathPickerBase.setCurrentPath</h4>
<b>setCurrentPath</b>(<i>fpath</i>)
<p>
        Public method to set the current path.
</p>

<dl>

<dt><i>fpath</i> (pathlib.Path)</dt>
<dd>
current path
</dd>
</dl>
<a NAME="EricPathPickerBase.setCurrentText" ID="EricPathPickerBase.setCurrentText"></a>
<h4>EricPathPickerBase.setCurrentText</h4>
<b>setCurrentText</b>(<i>text</i>)
<p>
        Public slot to set the current text.
</p>

<dl>

<dt><i>text</i> (str)</dt>
<dd>
text of the item to set current
</dd>
</dl>
<a NAME="EricPathPickerBase.setDefaultDirectory" ID="EricPathPickerBase.setDefaultDirectory"></a>
<h4>EricPathPickerBase.setDefaultDirectory</h4>
<b>setDefaultDirectory</b>(<i>directory</i>)
<p>
        Public method to set the default directory.
</p>

<dl>

<dt><i>directory</i> (str or pathlib.Path)</dt>
<dd>
default directory
</dd>
</dl>
<a NAME="EricPathPickerBase.setEditText" ID="EricPathPickerBase.setEditText"></a>
<h4>EricPathPickerBase.setEditText</h4>
<b>setEditText</b>(<i>fpath, toNative=True</i>)
<p>
        Public method to set the current path.
</p>

<dl>

<dt><i>fpath</i> (str)</dt>
<dd>
path to be set
</dd>
<dt><i>toNative</i> (bool)</dt>
<dd>
flag indicating to convert the path into
            a native format
</dd>
</dl>
<a NAME="EricPathPickerBase.setEditorEnabled" ID="EricPathPickerBase.setEditorEnabled"></a>
<h4>EricPathPickerBase.setEditorEnabled</h4>
<b>setEditorEnabled</b>(<i>enable</i>)
<p>
        Public method to set the path editor's enabled state.
</p>

<dl>

<dt><i>enable</i> (bool)</dt>
<dd>
flag indicating the enable state
</dd>
</dl>
<a NAME="EricPathPickerBase.setEditorToolTip" ID="EricPathPickerBase.setEditorToolTip"></a>
<h4>EricPathPickerBase.setEditorToolTip</h4>
<b>setEditorToolTip</b>(<i>tooltip</i>)
<p>
        Public method to set the editor tool tip.
</p>

<dl>

<dt><i>tooltip</i> (str)</dt>
<dd>
text to be set as a tool tip
</dd>
</dl>
<a NAME="EricPathPickerBase.setFilters" ID="EricPathPickerBase.setFilters"></a>
<h4>EricPathPickerBase.setFilters</h4>
<b>setFilters</b>(<i>filters</i>)
<p>
        Public method to set the filters for the path picker dialog.
</p>
<p>
        Note: Multiple filters must be separated by ';;'.
</p>

<dl>

<dt><i>filters</i> (str)</dt>
<dd>
string containing the file filters
</dd>
</dl>
<a NAME="EricPathPickerBase.setInsertPolicy" ID="EricPathPickerBase.setInsertPolicy"></a>
<h4>EricPathPickerBase.setInsertPolicy</h4>
<b>setInsertPolicy</b>(<i>policy</i>)
<p>
        Public method to set the insertion policy of the combo box.
</p>

<dl>

<dt><i>policy</i> (QComboBox.InsertPolicy)</dt>
<dd>
insertion policy
</dd>
</dl>
<a NAME="EricPathPickerBase.setMode" ID="EricPathPickerBase.setMode"></a>
<h4>EricPathPickerBase.setMode</h4>
<b>setMode</b>(<i>mode</i>)
<p>
        Public method to set the path picker mode.
</p>

<dl>

<dt><i>mode</i> (EricPathPickerModes)</dt>
<dd>
picker mode
</dd>
</dl>
<dl>

<dt>Raises <b>ValueError</b>:</dt>
<dd>
raised to indicate a bad parameter value
</dd>
</dl>
<a NAME="EricPathPickerBase.setNameFilters" ID="EricPathPickerBase.setNameFilters"></a>
<h4>EricPathPickerBase.setNameFilters</h4>
<b>setNameFilters</b>(<i>filters</i>)
<p>
        Public method to set the name filters for the completer.
</p>

<dl>

<dt><i>filters</i> (list of str)</dt>
<dd>
list of file name filters
</dd>
</dl>
<a NAME="EricPathPickerBase.setPath" ID="EricPathPickerBase.setPath"></a>
<h4>EricPathPickerBase.setPath</h4>
<b>setPath</b>(<i>fpath</i>)
<p>
        Public method to set the current path.
</p>

<dl>

<dt><i>fpath</i> (str or pathlib.Path)</dt>
<dd>
path to be set
</dd>
</dl>
<a NAME="EricPathPickerBase.setPathsList" ID="EricPathPickerBase.setPathsList"></a>
<h4>EricPathPickerBase.setPathsList</h4>
<b>setPathsList</b>(<i>pathsList</i>)
<p>
        Public method to set the paths list.
</p>

<dl>

<dt><i>pathsList</i> (list of str or pathlib.Path)</dt>
<dd>
list of paths
</dd>
</dl>
<a NAME="EricPathPickerBase.setPickerEnabled" ID="EricPathPickerBase.setPickerEnabled"></a>
<h4>EricPathPickerBase.setPickerEnabled</h4>
<b>setPickerEnabled</b>(<i>enable</i>)
<p>
        Public method to set the enabled state of the file dialog button.
</p>

<dl>

<dt><i>enable</i> (bool)</dt>
<dd>
flag indicating the enabled state
</dd>
</dl>
<a NAME="EricPathPickerBase.setReadOnly" ID="EricPathPickerBase.setReadOnly"></a>
<h4>EricPathPickerBase.setReadOnly</h4>
<b>setReadOnly</b>(<i>readOnly</i>)
<p>
        Public method to set the path picker to read only mode.
</p>

<dl>

<dt><i>readOnly</i> (bool)</dt>
<dd>
flag indicating read only mode
</dd>
</dl>
<a NAME="EricPathPickerBase.setRemote" ID="EricPathPickerBase.setRemote"></a>
<h4>EricPathPickerBase.setRemote</h4>
<b>setRemote</b>(<i>remote</i>)
<p>
        Public method to set the remote mode of the path picker.
</p>

<dl>

<dt><i>remote</i> (bool)</dt>
<dd>
flag indicating the remote mode
</dd>
</dl>
<a NAME="EricPathPickerBase.setSizeAdjustPolicy" ID="EricPathPickerBase.setSizeAdjustPolicy"></a>
<h4>EricPathPickerBase.setSizeAdjustPolicy</h4>
<b>setSizeAdjustPolicy</b>(<i>policy</i>)
<p>
        Public method to set the size adjust policy of the combo box.
</p>

<dl>

<dt><i>policy</i> (QComboBox.SizeAdjustPolicy)</dt>
<dd>
size adjust policy
</dd>
</dl>
<a NAME="EricPathPickerBase.setText" ID="EricPathPickerBase.setText"></a>
<h4>EricPathPickerBase.setText</h4>
<b>setText</b>(<i>fpath, toNative=True</i>)
<p>
        Public method to set the current path.
</p>

<dl>

<dt><i>fpath</i> (str)</dt>
<dd>
path to be set
</dd>
<dt><i>toNative</i> (bool)</dt>
<dd>
flag indicating to convert the path into
            a native format
</dd>
</dl>
<a NAME="EricPathPickerBase.setWindowTitle" ID="EricPathPickerBase.setWindowTitle"></a>
<h4>EricPathPickerBase.setWindowTitle</h4>
<b>setWindowTitle</b>(<i>title</i>)
<p>
        Public method to set the path picker dialog window title.
</p>

<dl>

<dt><i>title</i> (str)</dt>
<dd>
window title
</dd>
</dl>
<a NAME="EricPathPickerBase.strPaths" ID="EricPathPickerBase.strPaths"></a>
<h4>EricPathPickerBase.strPaths</h4>
<b>strPaths</b>(<i></i>)
<p>
        Public method to get the list of entered paths as strings.
</p>

<dl>
<dt>Return:</dt>
<dd>
entered paths
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list of str
</dd>
</dl>
<a NAME="EricPathPickerBase.text" ID="EricPathPickerBase.text"></a>
<h4>EricPathPickerBase.text</h4>
<b>text</b>(<i>toNative=True</i>)
<p>
        Public method to get the current path.
</p>

<dl>

<dt><i>toNative</i> (bool)</dt>
<dd>
flag indicating to convert the path into
            a native format
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
current path
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricPathPickerBase.windowTitle" ID="EricPathPickerBase.windowTitle"></a>
<h4>EricPathPickerBase.windowTitle</h4>
<b>windowTitle</b>(<i></i>)
<p>
        Public method to get the path picker dialog's window title.
</p>

<dl>
<dt>Return:</dt>
<dd>
window title
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="EricPathPickerModes" ID="EricPathPickerModes"></a>
<h2>EricPathPickerModes</h2>
<p>
    Class implementing the path picker modes.
</p>

<h3>Derived from</h3>
enum.Enum
<h3>Class Attributes</h3>
<table>
<tr><td>CUSTOM_MODE</td></tr>
<tr><td>DIRECTORY_MODE</td></tr>
<tr><td>DIRECTORY_SHOW_FILES_MODE</td></tr>
<tr><td>NO_MODE</td></tr>
<tr><td>OPEN_FILES_AND_DIRS_MODE</td></tr>
<tr><td>OPEN_FILES_MODE</td></tr>
<tr><td>OPEN_FILE_MODE</td></tr>
<tr><td>SAVE_FILE_ENSURE_EXTENSION_MODE</td></tr>
<tr><td>SAVE_FILE_MODE</td></tr>
<tr><td>SAVE_FILE_OVERWRITE_MODE</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
